Subject: bug#36369: Master doesn't use its pdump

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jun 2019 09:49:50 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 27 Jun 2019 22:49:47 -0400
> 
>   > Maybe we can, but first we need to understand what is the reason for
>   > this.  Are you still able to reproduce the problem?
> 
> Are you asking me to make another copy of the same sources
> and build with cd src; make -k emacs?

No, I asked you to do what you did below.

> 							 If you touch some
>   > file in src and run "make -k" in src, does it build a fully functional
>   > Emacs with an up-to-date emacs.pdmp file, or does Emacs still load all
>   > Lisp files at startup?
> 
> It does the latter.  Here's the output.  I think the bug is that it
> dumps as bootstrap-emacs.pdump.

No, dumping as bootstrap-emacs.pdmp is normal.  What is abnormal is
that this is not immediately followed by another loadup.

I think I understand why it doesn't complete the build for you: it's
because you say "make -k emacs" instead of just "make -k".  Can't you
omit the "emacs" part?  If not, why not?